# PetscMemzero

Zeros the specified memory.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscMemzero(void *a,size_t n)

Not Collective

### Input Parameters

| a | - pointer to beginning memory location
| n | - length (in bytes) of memory to initialize

### Compile Option

PETSC_PREFER_BZERO - on certain machines (the IBM RS6000) the bzero() routine happens to be faster than the memset() routine. This flag causes the bzero() routine to be used.

### See Also

PetscMemcpy()

Level:intermediate
Location: src/sys/utils/memc.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex28.c.html
src/ksp/ksp/examples/tutorials/ex33.c.html